#!/usr/bin/env python
# control.py

"""
Author : peters 

Revision History:
File created on 26 Aug 2010.

"""

import os
import sys
import logging
import datetime

################### Begin Class CtDaSystem ###################

from da.baseclasses.dasystem import DaSystem

class CtDaSystem(DaSystem):
    """ Information on the data assimilation system used. This is normally an rc-file with settings.
    """

    def Validate(self):
        """ 
        Validate the contents of the rc-file given a dictionary of required keys
        """

        needed_rc_items = ['obspack.co2.input.dir',
                           'obspack.co2.input.id',
                           'obspack.c13.input.dir',
                           'obspack.c13.input.id',
                           'ocn.covariance',
                           'nparameters',
                           'bio.covariance',
                           'deltaco2.prefix',
                           'co2.only',
                           'c13.only',
                           'co2.c13.together',
                           'regtype']


        for k,v in self.iteritems():
            if v == 'True' : self[k] = True
            if v == 'False': self[k] = False

        for key in needed_rc_items:

            if not self.has_key(key):
                status,msg = ( False,'Missing a required value in rc-file : %s' % key)
                logging.error(msg)
                raise IOError,msg

        status,msg = ( True,'DA System Info settings have been validated succesfully' )  ; logging.debug(msg)

        return None
################### End Class CtDaSystem ###################


if __name__ == "__main__":
    pass
